CUNY Academic Commons - Design/UX #2768

Change UX for when in Edit Mode
2013-08-31 03:58 AM - Chris Stein

Status: Resolved Start date: 2013-08-31
Priority name: Normal Due date:

Assignee: Chris Stein % Done: 0%
Category name: Public Portfolio Estimated time: 0.00 hour
Target version: 1.6

Description

Right now when you are in Edit mode if you click the Commons Profile tab it will take you out of edit mode and you will lose any
unsaved changes.

Two possible solutions
1. Remove the tabs in edit mode
2. When the user clicks Commons Profile tab in edit mode a warning appears that they will lose any unsaved changes and allows

them to cancel.

For either option, but especially if we go with option 1, it would help to implement a Cancel Changes button that would be next to the
Save Changes button. Right now there is no obvious way to get out of edit mode if you don't want to save your changes.

History

#1 - 2013-08-31 10:11 AM - Matt Gold

- Status changed from New to Assigned

#2 - 2013-09-10 05:33 AM - Boone Gorges

- Assignee changed from Boone Gorges to Chris Stein

Reassigning to Chris to get feedback on which of the options we should go with.

#3 - 2013-09-10 07:30 AM - Chris Stein

Because all of the edit options are currently on one page, | think the most straightforward solution is to go with option 1 and

1. remove the tabs in edit mode and
2. add a cancel button

#4 - 2013-09-10 07:53 AM - Chris Stein

Sorry, one more change if it's not too difficult. To go along with one edit screen we might add an edit button to the black area under the Change
Avatar link. Comments welcome on that. This would be more consistent with the Save Changes button that is also in the top and bottom halves.

For the cancel button | will try to get a visual option later this evening. | looked to see if we had a similar button elsewhere but we don't. I'm thinking it
should be a different color like red or something.

#5 - 2013-09-19 08:53 AM - Boone Gorges

- Target version set to 1.5.3

Chris, if you could give a concept for the cancel button (even just in words), it'd be helpful. Thanks.

#6 - 2013-09-19 08:57 AM - Boone Gorges

Tabs removed in Edit mode in
https://github.com/cuny-academic-commons/cac-advanced-profiles/commit/874db5df71646a74102ce388cf9d63aa31bd70c2
https://github.com/castiron/cac/commit/7e8a60c24c12227167434797dfb524e54d99fcde

#7 - 2013-09-21 05:46 PM - Boone Gorges

- Target version changed from 1.5.3 to 1.5.4

#8 - 2013-10-01 08:58 PM - Boone Gorges
https://github.com/cuny-academic-commons/cac-advanced-profiles/commit/874db5df71646a74102ce388cf9d63aa31bd70c2
https://github.com/castiron/cac/commit/7e8a60c24c12227167434797dfb524e54d99fcde

- Target version changed from 1.5.4 to 1.5.5

#9 - 2013-10-11 08:21 PM - Boone Gorges

- Target version changed from 1.5.5to 1.5.6

#10 - 2013-10-21 08:50 PM - Boone Gorges

- Target version changed from 1.5.6 to 1.5.7

#11 - 2013-11-01 08:22 PM - Boone Gorges

- Target version changed from 1.5.7 to 1.5.8

#12 - 2013-11-12 01:16 PM - Boone Gorges

- Target version changed from 1.5.8 to 1.5.9

#13 - 2013-11-21 03:34 PM - Boone Gorges
- Target version changed from 1.5.9 to 1.5.10

#14 - 2013-12-01 09:50 PM - Boone Gorges
- Target version changed from 1.5.10to 1.5.11

#15 - 2013-12-11 08:59 PM - Boone Gorges
- Target version changed from 1.5.11 to 1.5.12

#16 - 2013-12-21 07:29 PM - Boone Gorges
- Target version changed from 1.5.12t0 1.5.13

#17 - 2014-01-02 02:54 PM - Boone Gorges
- Target version changed from 1.5.13 to 1.5.14

#18 - 2014-01-12 05:03 PM - Boone Gorges
- Target version changed from 1.5.14 to 1.5.15

#19 - 2014-01-23 07:42 AM - Boone Gorges
- Target version changed from 1.5.15t0 1.5.16

#20 - 2014-02-01 03:37 PM - Boone Gorges
- Target version changed from 1.5.16 to 1.5.17

#21 - 2014-02-11 07:21 PM - Boone Gorges
- Tracker changed from Feature to Design/UX

- Category name changed from 65 to Public Portfolio

This keeps getting bumped, so I'm moving it to 1.6.

#22 - 2014-02-11 07:22 PM - Boone Gorges

- Target version changed from 1.5.17 to 1.6

#23 - 2014-03-29 12:03 AM - Chris Stein

- File save-cancel.html added

- File red-bg-cancel.png added

- File red-green-text.png added

- Status changed from Assigned to Reporter Feedback

The basic idea is to put the save/cancel next to each other to save a bit of space and for touch screens | think it's harder to click the wrong one
side/by side than one on top of the other if they are close together.

Removing Commons profile tab in edit mode still stands as a suggestion but | didn't think that needed visualization.
Attaching two possible images of the cancel button. Both basically the same with one where save is green and cancel is red and the other where
cancel has red background with white text.

I'm also attaching a file with the HTML/CSS | made for it.

Put the two buttons side-by-side in a new div. Then basically just removed the left border radius on cancel and right border radius on save. Just
suggestions of course.

This is another place where it would have been nice to have a styleguide.
#24 - 2014-03-29 11:23 AM - Matt Gold

Hi Chris,

Many thanks for this. A few questions:

-- is right under the avatar image the right place to put these buttons?

-- | get the red (stop))/green (go) coloring but think it adds to many colors to our scheme, making the page look a bit chaotic. Took a look at the twitter
profile editing screen and didn't see that kind of coloration there; can you perhaps put together a different version without the red/green coloring?

#25 - 2014-03-30 12:38 PM - Chris Stein
- File Screen Shot 2014-03-30 at 12.36.53 PM.png added

-- is right under the avatar image the right place to put these buttons?

I'm open to other suggestions. If you'd like something different, let me know.
| added the button at the top so that you could make quick changes to the top part of your profile and click save.
| just realized that | didn't also change the Save Changes button that is at the bottom of the page. That should be changed too so it is save/cancel

-- | get the red (stop))/green (go) coloring but think it adds to many colors to our scheme, making the page look a bit chaotic. Took a look at the

twitter profile editing screen and didn't see that kind of coloration there; can you perhaps put together a different version without the red/green
coloring?

If you don't like the coloring then let's just leave it out. As you point out, we don't really have a system, so in the absence of one, I'm fine with just
leaving the colors out. Attaching a screen shot with dark grey color for the text (777) like we have on other buttons.

#26 - 2014-03-30 01:16 PM - Matt Gold
- File Screen Shot 2014-03-30 at 1.15.35 PM.png added
Great - thanks, Chris.

One note: it looks to me, based on what | see on my own profile, that the save changes button is aligned with the bottom of the header div rather than
being right under the profile photo. Chris: which position seems better to you?

I do think this looks better without colors, at least for now. Thanks for reworking it.
#27 - 2014-03-30 10:03 PM - Chris Stein
- File avatar-cover-save-changes.png added

- Status changed from Reporter Feedback to Assigned

- Assignee changed from Chris Stein to Boone Gorges

By "bottom of the header div" do you mean right above the white line that comes just before the edit form? That position is fine for me.

I'm losing track of where | wrote what, so I'll put it here at the risk of repeating. The following should be in place

Add a cancel button by the Save Changes button: both aligned to the white line.

The buttons may need to be placed in a separate div and CSS fiddled with. | found that in some resolutions the Save Changes button is covered
by the avatar. It's when the page is scrolled but wide enough that the avatar is showing. (attached image)

e Remove Commons Profile Tab in edit mode

¢ One final part | haven't added yet is to add an edit button in the same place as the save/cancel button will be. | think this will intuitive, click Edit
and then in it's place the save/cancel buttons appear.

Boone, | think my part is done so moving to you. Move it back and let me know you disagree.
#28 - 2014-03-30 10:24 PM - Matt Gold

By "bottom of the header div" do you mean right above the white line that comes just before the edit form? That position is fine for me.

| meant the location where the "save changes" button appears on the screenshot | uploaded here:
http://redmine.gc.cuny.edu/attachments/download/1231/Screen%20Shot%202014-03-30%20at%201.15.35%20PM.png

I'm okay with keeping that location moving forward -- just wanted to clarify.

#29 - 2014-03-31 10:58 AM - Boone Gorges
- Status changed from Assigned to Testing Required

- Assignee changed from Boone Gorges to Chris Stein

Add a cancel button by the Save Changes button: both aligned to the white line.

The buttons may need to be placed in a separate div and CSS fiddled with. | found that in some resolutions the Save Changes button is covered
by the avatar. It's when the page is scrolled but wide enough that the avatar is showing. (attached image)

Remove Commons Profile Tab in edit mode

One final part | haven't added yet is to add an edit button in the same place as the save/cancel button will be. | think this will intuitive, click Edit
and then in it's place the save/cancel buttons appear.

These are all ready to test on cdev.

#30 - 2014-03-31 10:56 PM - Matt Gold
- File Screen_Shot_2014-03-31_at_10_54 24 PM.png added

Much improved. One more suggested change. At the bottom of the page, there is a "save changes" button all by itself in the left corner. | would
suggest moving it to the right so that it is parallel to the save/cancel buttons above, and adding a "cancel" button there, too. Annotated screenshot
attached.

Like the short header on these pages. Much better.

#31 - 2014-04-01 09:41 AM - Boone Gorges

- Status changed from Testing Required to Resolved

I've mirrored the buttons at the bottom of the page in
https://qgithub.com/cuny-academic-commons/cac-advanced-profiles/commit/ffed075494db3c9a54 7bc16ff04bcedba7aaee91. Marking resolved.

#32 - 2014-04-01 09:50 AM - Matt Gold
Thanks.

#33 - 2014-04-01 10:58 AM - Chris Stein

ditto

Files

save-cancel.html 1.12 KB 2014-03-29 Chris Stein
red-bg-cancel.png 52 KB 2014-03-29 Chris Stein
red-green-text.png 50.9 KB 2014-03-29 Chris Stein
Screen Shot 2014-03-30 at 12.36.53 PM.png 54.5 KB 2014-03-30 Chris Stein
Screen Shot 2014-03-30 at 1.15.35 PM.png 332 KB 2014-03-30 Matt Gold
avatar-cover-save-changes.png 74 KB 2014-03-31 Chris Stein
Screen_Shot_2014-03-31_at_10_54_24_PM.png 518 KB 2014-04-01 Matt Gold
